<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../formatos/formato.php");



function responder($estado=false, $mensaje='', $datos=[])

{

	header('Content-type: application/json');

	echo json_encode([

		'est' => $estado,

		'msj' => $mensaje,

		'dat' => $datos,

		]);

	exit;

}



if($_POST['action']=='agregar')

{

	$diferencia=moneda_mysql($_POST['can_tot'])-moneda_mysql($_POST['canpag_tot']);

	$diferencia=formato_money($diferencia);

	$diferencia=moneda_mysql($diferencia);

	$pago=moneda_mysql($_POST['canpag_mon']);



	if($pago>0)

	{

		if($pago>$diferencia)

		{	

			// if($diferencia==0)

			// {

			// 	responder(false, 'Monto completado.');

			// }

			// else

			// {

				responder(false, 'Monto no puede ser mayor que '.$diferencia, ['tipo' => 'canpag_mon', 'mon' => $diferencia] );

			// }	

			

		}



		/*if($_POST['canpag_numdia']=="")

		{

			responder(false, 'Ingrese N° días.', ['tipo' => 'canpag_numdia']);

		}*/

	

		if($_POST['canpag_ref']=="")

		{

			responder(false, 'Ingrese Referencia.', ['tipo' => 'canpag_ref']);

		}

	



		$_SESSION['canpag_mon'][]		= moneda_mysql($_POST['canpag_mon']);

		$_SESSION['canpag_numdia'][]	= $_POST['canpag_numdia'];

		$_SESSION['canpag_numlet'][]	= $_POST['canpag_numlet'];

		$_SESSION['canpag_fecven'][]	= $_POST['canpag_fecven'];



		$_SESSION['canpag_ref'][]	= $_POST['canpag_ref'];

		$_SESSION['canpag_lugar'][]	= $_POST['canpag_lugar'];

		$_SESSION['canpag_numunilet'][]	= $_POST['canpag_numunilet'];



		$_SESSION['canpag_fecemi'][]	= $_POST['canpag_fecemi'];





		



		responder(true, 'Correcto', ['tipo' => 'agregado']);	

	}

	else

	{

		if($diferencia==0)

		{

			responder(false, 'Monto completado.');

		}

		else

		{

			responder(false, 'Ingrese monto.', ['tipo' => 'canpag_mon', 'mon' => $diferencia]);

		}

		

	}

}



//quitar valores del array

if($_POST['action']=='quitar'){

	

	unset($_SESSION['canpag_mon'][$_POST['item_id']]);

	unset($_SESSION['canpag_numlet'][$_POST['item_id']]);

	unset($_SESSION['canpag_numdia'][$_POST['item_id']]);

	unset($_SESSION['canpag_fecven'][$_POST['item_id']]);



	unset($_SESSION['canpag_lugar'][$_POST['item_id']]);

	unset($_SESSION['canpag_ref'][$_POST['item_id']]);

	unset($_SESSION['canpag_numunilet'][$_POST['item_id']]);



	unset($_SESSION['canpag_fecemi'][$_POST['item_id']]);



	





	

	responder(true, 'Correcto');

}



//restablecer o eliminar array

if($_POST['action']=='restablecer')

{

	unset($_SESSION['canpag_mon']);

	unset($_SESSION['canpag_numdia']);

	unset($_SESSION['canpag_numlet']);

	unset($_SESSION['canpag_fecven']);



	unset($_SESSION['canpag_ref']);

	unset($_SESSION['canpag_lugar']);

	unset($_SESSION['canpag_numunilet']);



unset($_SESSION['canpag_fecemi']);





	responder(true, 'Correcto');

}



?>